public inbox for gnats-prs@sourceware.org
help / color / mirror / Atom feed
* Re: gnats/6: at-pr argument counting mangled
@ 1999-10-25 19:04 Jason Molenda
0 siblings, 0 replies; 3+ messages in thread
From: Jason Molenda @ 1999-10-25 19:04 UTC (permalink / raw)
To: nobody; +Cc: gnats-prs
The following reply was made to PR gnats/6; it has been noted by GNATS.
From: Jason Molenda <jsm@cygnus.com>
To: m.seaman@inpharmatica.co.uk
Cc: gnats-gnats@sourceware.cygnus.com
Subject: Re: gnats/6: at-pr argument counting mangled
Date: Mon, 25 Oct 1999 18:55:37 -0700
Thanks for the PR and the patch. Your patch would not work for someone
passing the -h command line parameter to at-pr.sh.
Can you please try out the appended patch at your site and let me know if
it works as expected? I ran through a few tests by hand, but I don't use
timed notification locally. I'd like to have this tested out somewhere
else before I commit it to the master gnats sources.
Thanks!
Jason
Index: at-pr.sh
===================================================================
RCS file: /cvs/gnats/gnats/gnats/at-pr.sh,v
retrieving revision 1.1.1.1
diff -u -p -r1.1.1.1 at-pr.sh
--- at-pr.sh 1998/11/05 19:54:09 1.1.1.1
+++ at-pr.sh 1999/10/26 01:52:59
@@ -20,7 +20,7 @@
# the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.
prog=`basename $0`
-USAGE="$prog: [-h] [-d gnats_root] arguments
+USAGE="Usage: $prog [-h] [-d gnats_root] arguments
Arguments coming in are (all are required):
@@ -31,20 +31,37 @@ USAGE="$prog: [-h] [-d gnats_root] argu
5 - full name of the submitter
6 - contact for the submitter
7 - address for GNATS_ADMIN
-
"
PATH=/bin:/usr/bin; export PATH
+if [ $# -eq 0 ]
+then
+ echo "$USAGE" >&2
+ exit 1
+fi
+
+if [ "$1" = "-h" -o "$1" = "--help" ]
+then
+ echo "$USAGE"
+ exit 0
+fi
+
# process command line options
-while [ $# -gt 0 ]; do
+while [ $# -gt 7 ]; do
case "$1" in
-d | --directory)
- if [ $# -eq 1 ]; then echo "value required for $1 option"; exit 1; fi
- shift ; GNATS_ROOT="$1" ;;
+ if [ $# -eq 8 ]
+ then
+ echo "ERROR: value required for $1 option" >&2
+ echo "$USAGE" >&2
+ exit 1
+ fi
+ shift
+ GNATS_ROOT="$1" ;;
--directory=*) GNATS_ROOT="`echo $1 | sed 's/^[-a-z]*=//'`" ;;
- -*) echo "$USAGE"; exit 1 ;;
+ -*) echo "$USAGE" >&2; exit 1 ;;
esac
shift
done
@@ -61,14 +78,14 @@ STATES_FILE=${GNATS_ROOT}/gnats-adm/stat
[ -f ${GNATS_ROOT}/gnats-adm/config ] && . ${GNATS_ROOT}/gnats-adm/config
if [ $# != 7 ]; then
- echo "$prog: called with the incorrect number of arguments"
- echo "$USAGE"
+ echo "ERROR: $prog called with the incorrect number of arguments" >&2
+ echo "$USAGE" >&2
exit 1
fi
if [ ! -d $GNATS_ROOT ]; then
- echo "$prog: GNATS base directory $GNATS_ROOT does not exist."
- echo "$USAGE"
+ echo "ERROR: $prog GNATS base directory $GNATS_ROOT does not exist." >&2
+ echo "$USAGE" >&2
exit 1
fi
^ permalink raw reply [flat|nested] 3+ messages in thread
* Re: gnats/6: at-pr argument counting mangled
@ 1999-10-27 13:04 Jason Molenda
0 siblings, 0 replies; 3+ messages in thread
From: Jason Molenda @ 1999-10-27 13:04 UTC (permalink / raw)
To: nobody; +Cc: gnats-prs
The following reply was made to PR gnats/6; it has been noted by GNATS.
From: Jason Molenda <jsm@cygnus.com>
To: gnats-gnats@sourceware.cygnus.com
Cc:
Subject: Re: gnats/6: at-pr argument counting mangled
Date: Wed, 27 Oct 1999 13:01:57 -0700
----- Forwarded message from Matthew Seaman <m.seaman@inpharmatica.co.uk> -----
Date: Wed, 27 Oct 1999 12:27:41 +0000
From: Matthew Seaman <m.seaman@inpharmatica.co.uk>
X-Mailer: Mozilla 4.61 [en] (X11; I; Linux 2.2.4 i586)
To: Jason Molenda <jsm@cygnus.com>
Subject: Re: gnats/6: at-pr argument counting mangled
Jason Molenda wrote:
> Can you please try out the appended patch at your site and let me know if
> it works as expected?
I can confirm that the patch is working fine.
Cheers,
Matthew
--
Certe, Toto, sentio nos in Kansate non iam adesse.
Dr. Matthew Seaman, Inpharmatica Ltd, 60 Charlotte St, London, W1P 2AX
Tel: +44 171 631 4644 x229 Fax: +44 171 631 4844
----- End forwarded message -----
^ permalink raw reply [flat|nested] 3+ messages in thread
* Re: gnats/6: at-pr argument counting mangled
@ 1999-10-26 1:44 Jason Molenda
0 siblings, 0 replies; 3+ messages in thread
From: Jason Molenda @ 1999-10-26 1:44 UTC (permalink / raw)
To: nobody; +Cc: gnats-prs
The following reply was made to PR gnats/6; it has been noted by GNATS.
From: Jason Molenda <jsm@cygnus.com>
To: gnats-gnats@sourceware.cygnus.com
Cc:
Subject: Re: gnats/6: at-pr argument counting mangled
Date: Tue, 26 Oct 1999 01:42:40 -0700
----- Forwarded message from Matthew Seaman <m.seaman@inpharmatica.co.uk> -----
Date: Tue, 26 Oct 1999 08:39:28 +0000
From: Matthew Seaman <m.seaman@inpharmatica.co.uk>
X-Mailer: Mozilla 4.61 [en] (X11; I; Linux 2.2.4 i586)
To: Jason Molenda <jsm@cygnus.com>
Subject: Re: gnats/6: at-pr argument counting mangled
Jason Molenda wrote:
> Can you please try out the appended patch at your site and let me know if
> it works as expected?
OK. I've installed the patched at-pr: It's a matter of waiting now until the
next at-pr job comes up in the at queue --- should be about 15:00 BST
victoria:...spool/cron/atjobs:# atq
Rank Execution Date Owner Job Queue Job Name
1st Oct 26, 1999 15:00 gnats 940946400.a a stdin
2nd Oct 27, 1999 08:00 gnats 941007600.a a stdin
3rd Oct 27, 1999 08:00 gnats 941007601.a a stdin
4th Oct 27, 1999 11:00 gnats 941018400.a a stdin
5th Oct 27, 1999 15:00 gnats 941032800.a a stdin
6th Oct 28, 1999 14:00 gnats 941115600.a a stdin
7th Oct 29, 1999 08:00 gnats 941180400.a a stdin
8th Nov 1, 1999 15:00 gnats 941468400.a a stdin
I'll try and get back to you before the end of today (17:00 BST) with the
results.
Cheers,
Matthew
--
Certe, Toto, sentio nos in Kansate non iam adesse.
Dr. Matthew Seaman, Inpharmatica Ltd, 60 Charlotte St, London, W1P 2AX
Tel: +44 171 631 4644 x229 Fax: +44 171 631 4844
----- End forwarded message -----
^ permalink raw reply [flat|nested] 3+ messages in thread
end of thread, other threads:[~1999-10-27 13:04 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
1999-10-25 19:04 gnats/6: at-pr argument counting mangled Jason Molenda
1999-10-26 1:44 Jason Molenda
1999-10-27 13:04 Jason Molenda
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).